:root {
    --bg-principal: #f7f7f7;
    --bg-secundario: #fff;
    --cor-primaria: #e21;
    --cor-secundaria: #900;
    --cor-texto-principal: #222;
    --cor-texto-botao: #fff;
    --cor-texto-subtitulo: rgba(0, 0, 0, 0.2);
    --fonte-principal: Arial, Helvetica, sans-serif;
    --texto-menu: #000;
    --bg-onda: url("./img/onda-clara.svg");
}

@media (prefers-color-scheme: dark){
    :root {
        --bg-principal: #111;
        --bg-secundario: #000;
        --cor-primaria: #e21;
        --cor-secundaria: #900;
        --cor-texto-principal: #fff;
        --cor-texto-botao: #fff;
        --cor-texto-subtitulo: rgba(255, 255, 255, 0.2);
        --fonte-principal: Arial, Helvetica, sans-serif;
        --texto-menu: #fff;
        --bg-onda: url("./img/onda-escura.svg");

    }
}

body {
    font-family: var(--fonte-principal);
    margin: 0px;
    background-color: var(--bg-principal);
    display: grid;
    gap: 60px;
    justify-items: center;
    margin-top: 60px;
    color: var(--cor-texto-principal);
  }
  
  img {
    max-width: 100%;
    display: block;
  }
  
  a {
    text-decoration: none;
  }

  ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }
  
  p,
  h1,
  h2,
  h3,
  h4 {
    margin: 0px;
  }
  
  p {
    font-size: 1.25rem;
    line-height: 1.3;
  }

  .cabecalho {
    display: grid;
    justify-items: center;
    gap: 60px;
  }
  
  .menu {
    display: flex;
    gap: 1.25rem;
    flex-wrap: wrap;
    justify-content: center;
  }
  
  .menu a {
    display: block;
    background-color: var(--bg-secundario);
    padding: 15px 30px;
    border-radius: 4px;
    color: var(--texto-menu);
    text-transform: uppercase;
    border: 2px solid transparent;
    transition: .1s;
  }

  .menu a:hover {
    border-color: var(--cor-primaria);
  }
  
  .conteudo {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-width: 1000px;
  }
  
  .introducao {
    background-color: var(--bg-secundario);
    padding: 40px;
    text-align: right;
    position: relative;
    display: grid;
    align-content: center;
    justify-items: end;
    gap: 20px;
  }
  
  .introducao::before {
    content: "";
    width: 60px;
    height: 4px;
    display: block;
    background-color: var(--cor-primaria);
    position: absolute;
    top: 30px;
    right: -30px;
  }

  .introducao h1 {
    font-size: 2rem;
  }
  
  .botao {
    background-color: var(--cor-primaria);
    color:var(--cor-texto-botao);
    padding: 15px 30px;
    border-radius: 4px;
    text-transform: uppercase;
    transition: .2s;
  }

  .botao:hover {
    background-color: var(--cor-secundaria);
  }

  .introducao-cover img {
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
  
  .subtitulo {
    background-image: var(--bg-onda);
    font-size: 4rem;
    text-transform: uppercase;
    color:  var(--cor-texto-subtitulo);
    text-align: right;
    padding: 40px;
    align-self: center;
    word-break: break-all;
  }
  
  .vantagens {
    background-color: var(--bg-secundario);
    padding: 40px;
  }

  .vantagens-item:nth-child(odd) {
    background-color: var(--bg-principal);
  }
  
  .vantagens-item {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 10px 20px;
    padding: 20px;
    border-left: 4px solid transparent;
  }

  .vantagens-item:hover {
    border-color: var(--cor-primaria);
  }
  
  .vantagens-item p {
    grid-column: 2/3;
  }
  
  .rodape {
    background-color: var(--bg-secundario);
    width: 100%;
    text-align: center;
    padding: 40px;
    box-sizing: border-box;
  }

  @media (max-width:945px) {
    .subtitulo {
        font-size: 3rem;
        word-break: keep-all;
      }
  }
  
  @media (max-width:768px) {
    .subtitulo {
        font-size: 2.5rem;
      }
      .vantagens-item {
        font-size: 1rem;
      }
  }

  @media (max-width:620px) {
    body {
        gap: 30px;
        margin-top: 30px;
    }
    .cabecalho {
        gap: 30px;
    }
    .menu {
        max-width: 90%;
    }
    .conteudo {
        display: grid;
        grid-template-columns: 1fr;
        max-width: 500px;
        justify-content: center;
      }
    .introducao::before {
        display: none;
    }
    .introducao {
        text-align: left;
        justify-items: start;
    }
    .introducao h1 {
        font-size: 1.5rem;
    }
    .subtitulo {
        text-align: center;
        font-size: 2.5rem;
      }
  }